function [rz] = initializeRz(opts_param)
    %% Default values for opts
    opts = struct('rigid', false);

    %% Populate opts with input parameters
    if exist('opts_param','var')
        for opt = fieldnames(opts_param)'
            opts.(opt{1}) = opts_param.(opt{1});
        end
    end

    %%
    rz = struct();

    % Estimated mass of the mooving part
    rz.m = 250; % [kg]

    % Estimated stiffnesses
    rz.k.ax   = 2e9; % Axial Stiffness [N/m]
    rz.k.rad  = 7e8; % Radial Stiffness [N/m]
    rz.k.rot  = 100e6*2*pi/360; % Rotational Stiffness [N*m/deg]

    if opts.rigid
        rz.k.tilt = 1e10; % Vertical Rotational Stiffness [N*m/deg]
    else
        rz.k.tilt = 1e2; % TODO what value should I put? [N*m/deg]
    end

    % TODO
    rz.c.ax   = 2*sqrt(rz.k.ax/rz.m);
    rz.c.rad  = 2*sqrt(rz.k.rad/rz.m);
    rz.c.tilt = 100*sqrt(rz.k.tilt/rz.m);
    rz.c.rot  = 100*sqrt(rz.k.rot/rz.m);

    %% Save
    save('./mat/stages.mat', 'rz', '-append');
end
